petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSGetQuadratureTS

Return the sub-TS that evaluates integrals over time

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetQuadratureTS(TS ts,PetscBool *fwd,TS *quadts)

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameters

| fwd | - flag indicating whether to evaluate cost integral in the forward run or the adjoint run
| quadts | - the child TS context

### See Also

TSCreateQuadratureTS()

### Level

intermediate

### Location

src/ts/interface/sensitivity/tssen.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages